within SorpLib.Components.Fittings.HydraulicResistors.BaseClasses;
partial model PartialPressureDrop
  "Base model for pressure drops"

  //
  // Definition of general parameters
  //
  parameter Boolean calc_propertyRecord = false
    "= true, if property record is required"
    annotation (Dialog(tab="General", group="Pressure Drop Correlation"),
                Evaluate=true,
                HideResult = true);

  //
  // Definition of inputs
  //
  input Cells.PropertyRecord.FluidCellProperties fluidProperties
    "Record containing fluid properties"
    annotation (Dialog(tab="General", group="Inputs"));
  input Modelica.SIunits.MassFlowRate m_flow
    "Mass flow of fluid"
    annotation (Dialog(tab = "General", group = "Inputs"));

  //
  // Definition of connectors
  //
  output Modelica.SIunits.PressureDifference pressureDrop
    "Calculated pressure drop";

  //
  // Annotations
  //
  annotation (Icon(graphics={Ellipse(
          extent={{100,100},{-100,-100}},
          lineColor={0,0,0},
          fillColor={150,225,102},
          fillPattern=FillPattern.Solid), Text(
          extent={{-80,60},{80,-60}},
          lineColor={0,0,0},
          fillColor={150,225,102},
          fillPattern=FillPattern.Solid,
          textString="p")}), Documentation(revisions="<html>
<ul>
  <li>
  January 14, 2021, by Mirko Engelpracht:<br/>
  First implementation.
  </li>
</ul>
</html>", info="<html>
<p>
A short introduction.
</p>
<h4>Main equations</h4>
<p>
xxx
</p>
<h4>Assumptions and limitations</h4>
<p>
xxx
</p>
<h4>Typical use and important parameters</h4>
<p>
xxx
</p>
<h4>Options</h4>
<p>
xxx
</p>
<h4>Dynamics</h4>
<p>
Describe which states and dynamics are present in the model
and which parameters may be used to influence them.
This need not be added in partial classes.
</p>
<h4>Validation</h4>
<p>
Describe whether the validation was done using
analytical validation, comparative model validation
or empirical validation.
</p>
<h4>Implementation</h4>
<p>
xxx
</p>
<h4>References</h4>
<p>
xxx
</p>
</html>"));
end PartialPressureDrop;
