within SorpLib.Components.Fittings.HydraulicResistors.BaseClasses;
partial model PartialPressureDropLiquidTubes
  "Base model for pressure drops of liquid tubes"
  extends PartialPressureDrop;

  //
  // Definition of parameters
  //
  parameter Integer no_cells(min=1)=2
    "Discretization number of  cells"
    annotation (Dialog(tab="General", group="Heat Transfer Correlation"),
                Evaluate=true,
                HideResult=true);

  //
  // Definition of inputs
  //
  input TransportPhenomena.Geometry.LiquidTubes cellGeometry
    "Record containing geometric data of tube"
    annotation (Dialog(tab="General", group="Inputs"));

  //
  // Annotations
  //
  annotation (Documentation(revisions="<html>
<ul>
  <li>
  January 14, 2021, by Mirko Engelpracht:<br/>
  First implementation.
  </li>
</ul>
</html>", info="<html>
<p>
A short introduction.
</p>
<h4>Main equations</h4>
<p>
xxx
</p>
<h4>Assumptions and limitations</h4>
<p>
xxx
</p>
<h4>Typical use and important parameters</h4>
<p>
xxx
</p>
<h4>Options</h4>
<p>
xxx
</p>
<h4>Dynamics</h4>
<p>
Describe which states and dynamics are present in the model
and which parameters may be used to influence them.
This need not be added in partial classes.
</p>
<h4>Validation</h4>
<p>
Describe whether the validation was done using
analytical validation, comparative model validation
or empirical validation.
</p>
<h4>Implementation</h4>
<p>
xxx
</p>
<h4>References</h4>
<p>
xxx
</p>
</html>"));
end PartialPressureDropLiquidTubes;
