within SorpLib.Components.Fittings.HydraulicResistors.TILMediaLibrary;
model LiquidTube
  "Hydraulic resistor for liquid tubes based on the TILMedia library"
  extends
    Fittings.HydraulicResistors.BaseClasses.PartialHydraulicResistorLiquidTubes(
    final type_Media=Internals.Types.MediaModel.TIL_IL,
    redeclare final Connectors.TILMediaLibrary.LiquidPort_a port_a(
      final liquidType=liquidType),
    redeclare final Connectors.TILMediaLibrary.LiquidPort_b port_b(
      final liquidType=liquidType));

  //
  // Definition of parameters
  //
  replaceable parameter TILMedia.LiquidTypes.TILMedia_Water liquidType
    constrainedby TILMedia.LiquidTypes.BaseLiquid
    "Liquid media"
    annotation (Dialog(tab = "Media", group = "Media Model"),
                choicesAllMatching=true,
                Evaluate=true,
                Hide=true);

  //
  // Annotations
  //
  annotation (Documentation(revisions="<html>
<ul>
  <li>
  January 14, 2021, by Mirko Engelpracht:<br/>
  First implementation.
  </li>
</ul>
</html>", info="<html>
<p>
A short introduction.
</p>
<h4>Main equations</h4>
<p>
xxx
</p>
<h4>Assumptions and limitations</h4>
<p>
xxx
</p>
<h4>Typical use and important parameters</h4>
<p>
xxx
</p>
<h4>Options</h4>
<p>
xxx
</p>
<h4>Dynamics</h4>
<p>
Describe which states and dynamics are present in the model
and which parameters may be used to influence them.
This need not be added in partial classes.
</p>
<h4>Validation</h4>
<p>
Describe whether the validation was done using
analytical validation, comparative model validation
or empirical validation.
</p>
<h4>Implementation</h4>
<p>
xxx
</p>
<h4>References</h4>
<p>
xxx
</p>
</html>"));
end LiquidTube;
