within SorpLib.Components.Fittings.HydraulicResistors.TILMediaLibrary;
model OpenAdsorbers
  "Hydraulic resistor for open adsorbers based on the TILMedia library"
  extends
    Fittings.HydraulicResistors.BaseClasses.PartialHydraulicResistorOpenAdsorbers(
    final type_Media=Internals.Types.MediaModel.TIL_IG,
    redeclare final Connectors.TILMediaLibrary.GasPort_a port_a(
      final gasType=gasType),
    redeclare final Connectors.TILMediaLibrary.GasPort_b port_b(
      final gasType=gasType));

  //
  // Definition of parameters
  //
  replaceable parameter TILMedia.GasTypes.TILMedia_MoistAir gasType
    constrainedby TILMedia.GasTypes.BaseGas
    "Gas media"
    annotation (Dialog(tab = "Media", group = "Media Model"),
                choicesAllMatching=true,
                Evaluate=true,
                Hide=true);

  //
  // Annotations
  //
  annotation (Documentation(revisions="<html>
<ul>
  <li>
  January 14, 2021, by Mirko Engelpracht:<br/>
  First implementation.
  </li>
</ul>
</html>", info="<html>
<p>
A short introduction.
</p>
<h4>Main equations</h4>
<p>
xxx
</p>
<h4>Assumptions and limitations</h4>
<p>
xxx
</p>
<h4>Typical use and important parameters</h4>
<p>
xxx
</p>
<h4>Options</h4>
<p>
xxx
</p>
<h4>Dynamics</h4>
<p>
Describe which states and dynamics are present in the model
and which parameters may be used to influence them.
This need not be added in partial classes.
</p>
<h4>Validation</h4>
<p>
Describe whether the validation was done using
analytical validation, comparative model validation
or empirical validation.
</p>
<h4>Implementation</h4>
<p>
xxx
</p>
<h4>References</h4>
<p>
xxx
</p>
</html>"));
end OpenAdsorbers;
