within SorpLib.Components.Fittings.SplitterJunctions.TILMediaLibrary;
model VLESplitterJunction
  "Splitter and junction model for VLE fluids"
  extends BaseClasses.PartialSplitterJunction(
    final type_Media=Internals.Types.MediaModel.TIL_VLE,
    redeclare final Connectors.TILMediaLibrary.VLEPort_a port_a(final
        vleFluidType=vleFluidType),
    redeclare final Connectors.TILMediaLibrary.VLEPort_b port_b(each final
        vleFluidType=vleFluidType));

  //
  // Definition of parameters describing the medium
  //
  replaceable parameter TILMedia.VLEFluidTypes.TILMedia_Water vleFluidType
    constrainedby TILMedia.VLEFluidTypes.BaseVLEFluid
    "Medium model"
    annotation (Dialog(tab="General", group="Medium Model"),
                evaluate=true,
                HideResult=true,
                choicesAllMatching=true);

  //
  // Annotations
  //
  annotation (Documentation(revisions="<html>
<ul>
  <li>
  January 19, 2021, by Mirko Engelpracht:<br/>
  First implementation.
  </li>
</ul>
</html>", info="<html>
<p>
A short introduction.
</p>
<h4>Main equations</h4>
<p>
xxx
</p>
<h4>Assumptions and limitations</h4>
<p>
xxx
</p>
<h4>Typical use and important parameters</h4>
<p>
xxx
</p>
<h4>Options</h4>
<p>
xxx
</p>
<h4>Dynamics</h4>
<p>
Describe which states and dynamics are present in the model
and which parameters may be used to influence them.
This need not be added in partial classes.
</p>
<h4>Validation</h4>
<p>
Describe whether the validation was done using
analytical validation, comparative model validation
or empirical validation.
</p>
<h4>Implementation</h4>
<p>
xxx
</p>
<h4>References</h4>
<p>
xxx
</p>
</html>"));
end VLESplitterJunction;
