within SorpLib.Components.HeatTransfers.BaseClasses;
partial model PartialExternalHeatTransferCoefficient
  "Base model for all models calculating heat transfer coefficients externally"

  //
  // Definition of general parameters
  //
  parameter Boolean calc_propertyRecord = false
    "= true, if property record is required"
    annotation (Dialog(tab="General", group="Heat Transfer Correlation"),
                Evaluate=true,
                HideResult = true);

  //
  // Definition of inputs
  //
  input Cells.PropertyRecord.FluidCellProperties fluidProperties
    "Record containing fluid properties"
    annotation (Dialog(tab="General", group="Inputs"));

  //
  // Definition of connectors
  //
  Modelica.Blocks.Interfaces.RealOutput alphaA(final unit="W/K")
    "Heat transfer coefficient"
    annotation (Placement(transformation(extent={{56,-10},{76,10}})));

  //
  // Annotations
  //
  annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-60,-60},{
            60,60}}), graphics={
                             Ellipse(
          extent={{60,60},{-60,-60}},
          lineColor={0,0,0},
          fillColor={238,46,47},
          fillPattern=FillPattern.Solid), Text(
          extent={{-60,30},{60,-30}},
          lineColor={0,0,0},
          fillColor={238,46,47},
          fillPattern=FillPattern.Solid,
          textString="kA")}), Diagram(coordinateSystem(preserveAspectRatio=false,
          extent={{-60,-60},{60,60}})),
    Documentation(revisions="<html>
<ul>
  <li>
  January 14, 2021, by Mirko Engelpracht:<br/>
  First implementation.
  </li>
</ul>
</html>", info="<html>
<p>
A short introduction.
</p>
<h4>Main equations</h4>
<p>
xxx
</p>
<h4>Assumptions and limitations</h4>
<p>
xxx
</p>
<h4>Typical use and important parameters</h4>
<p>
xxx
</p>
<h4>Options</h4>
<p>
xxx
</p>
<h4>Dynamics</h4>
<p>
Describe which states and dynamics are present in the model
and which parameters may be used to influence them.
This need not be added in partial classes.
</p>
<h4>Validation</h4>
<p>
Describe whether the validation was done using
analytical validation, comparative model validation
or empirical validation.
</p>
<h4>Implementation</h4>
<p>
xxx
</p>
<h4>References</h4>
<p>
xxx
</p>
</html>"));
end PartialExternalHeatTransferCoefficient;
