within SorpLib.Components.HeatTransfers.BaseClasses;
partial model PartialExternalHeatTransferCoefficientOpenAdsorber
  "Base model for all models calculating heat transfer coefficients of open adsorbers externally"
  extends PartialExternalHeatTransferCoefficient;

  //
  // Definition of general parameters
  //
  parameter Integer no_cells_gas(min=1)=2
    "Discretization number of gas cells"
    annotation (Dialog(tab="General", group="Heat Transfer Correlation"),
                Evaluate=true,
                HideResult=true);

  //
  // Definition of inputs
  //
  input SorpLib.Components.HeatTransfers.Geometry.OpenAdsorbers cellGeometry
    "Record containing geometric data of open adsorbers"
    annotation (Dialog(tab="General", group="Inputs"));

  //
  // Annotations
  //
  annotation (Documentation(revisions="<html>
<ul>
  <li>
  January 14, 2021, by Mirko Engelpracht:<br/>
  First implementation.
  </li>
</ul>
</html>", info="<html>
<p>
A short introduction.
</p>
<h4>Main equations</h4>
<p>
xxx
</p>
<h4>Assumptions and limitations</h4>
<p>
xxx
</p>
<h4>Typical use and important parameters</h4>
<p>
xxx
</p>
<h4>Options</h4>
<p>
xxx
</p>
<h4>Dynamics</h4>
<p>
Describe which states and dynamics are present in the model
and which parameters may be used to influence them.
This need not be added in partial classes.
</p>
<h4>Validation</h4>
<p>
Describe whether the validation was done using
analytical validation, comparative model validation
or empirical validation.
</p>
<h4>Implementation</h4>
<p>
xxx
</p>
<h4>References</h4>
<p>
xxx
</p>
</html>"));
end PartialExternalHeatTransferCoefficientOpenAdsorber;
