within SorpLib.Components.HeatTransfers.BaseClasses;
partial model PartialInternalHeatTransfer
  "Base class for heat transfer models calculaed within models"

  //
  // Definition of parameters
  //
  parameter Boolean computeTransportProperties = false
    "= true, if transport properties are required and must be calculated"
    annotation (Dialog(tab="General",group="Fluid properties"),
                Evaluate=true,
                HideResulte=true);
  parameter Boolean useAlphaAState = false
    "=true, if alphaA is a differential state"
    annotation (Dialog(tab="General",group="Numerics"),
                Evaluate=true,
                HideResulte=true);

  //
  // Definition of variables
  //
  Modelica.SIunits.ThermalConductance alphaA
    "Value for alphaA for entire heat transfer resistance";

  //
  // Annotations
  //
  annotation (Icon(graphics={Ellipse(
          extent={{100,100},{-100,-100}},
          lineColor={0,0,0},
          fillColor={238,46,47},
          fillPattern=FillPattern.Solid), Text(
          extent={{-80,80},{80,-80}},
          lineColor={0,0,0},
          fillColor={238,46,47},
          fillPattern=FillPattern.Solid,
          textString="kA")}), Documentation(revisions="<html>
<ul>
  <li>
  January 13, 2021, by Mirko Engelpracht:<br/>
  Smaller revision after resctructering of the library.
  </li>
  <li>
  December 06, 2017, by Andrej Gibelhaus:<br/>
  Tidy up implementation and enhance documentation for publication of library.
  </li>
</ul>
</html>", info="<html>
<p>
  This partial model is the basis for the heat transfer correlation models. <br>
</p>
<h4>Main equations</h4>
<p>
xxx
</p>
<h4>Assumptions and limitations</h4>
<p>
xxx
</p>
<h4>Typical use and important parameters</h4>
<p>
xxx
</p>
<h4>Options</h4>
<p>
xxx
</p>
<h4>Dynamics</h4>
<p>
Describe which states and dynamics are present in the model
and which parameters may be used to influence them.
This need not be added in partial classes.
</p>
<h4>Validation</h4>
<p>
Describe whether the validation was done using
analytical validation, comparative model validation
or empirical validation.
</p>
<h4>Implementation</h4>
<p>
xxx
</p>
<h4>References</h4>
<p>
xxx
</p>
</html>"));
end PartialInternalHeatTransfer;
