within SorpLib.Components.HeatTransfers.BaseClasses;
partial model PartialInternalWallHeatTransfer
  "Base class for heat transfer calculation in wall cells internally"

  //
  // Definition of parameters
  //
  replaceable parameter Cells.Geometry.WallCell
    cellGeometry constrainedby Cells.Geometry.WallCell
    "Cell geometry"
    annotation (Dialog(tab="General", group="Geometry"),
                choicesAllMatching = true);

  //
  // Definition of inputs
  //
  input SorpLib.Components.Cells.PropertyRecord.WallCellProperties cellProperties
    "Cell properties" annotation (Dialog(tab="General", group="Inputs"));

  //
  // Definition of outputs
  //
  output Modelica.SIunits.ThermalConductance k_PortCenter
    "Value for k for one cell: From heat port to cell center"
    annotation (Dialog(tab="General", group="Outputs", enable=false));
  output Modelica.SIunits.ThermalConductance k_CenterPort
    "Value for k for one cell: From cell center to heat port"
    annotation (Dialog(tab="General", group="Outputs", enable=false));

  //
  // Annotations
  //
  annotation (Icon(graphics={Ellipse(
          extent={{100,100},{-100,-100}},
          lineColor={0,0,0},
          fillColor={238,46,47},
          fillPattern=FillPattern.Solid), Text(
          extent={{-80,80},{80,-80}},
          lineColor={0,0,0},
          fillColor={238,46,47},
          fillPattern=FillPattern.Solid,
          textString="kA")}), Documentation(revisions="<html>
<ul>
  <li>
  January 12, 2021, by Mirko Engelpracht:<br/>
  First implementation.
  </li>
</ul>
</html>", info="<html>
<p>
A short introduction.
</p>
<h4>Main equations</h4>
<p>
xxx
</p>
<h4>Assumptions and limitations</h4>
<p>
xxx
</p>
<h4>Typical use and important parameters</h4>
<p>
xxx
</p>
<h4>Options</h4>
<p>
xxx
</p>
<h4>Dynamics</h4>
<p>
Describe which states and dynamics are present in the model
and which parameters may be used to influence them.
This need not be added in partial classes.
</p>
<h4>Validation</h4>
<p>
Describe whether the validation was done using
analytical validation, comparative model validation
or empirical validation.
</p>
<h4>Implementation</h4>
<p>
xxx
</p>
<h4>References</h4>
<p>
xxx
</p>
</html>"));
end PartialInternalWallHeatTransfer;
