within SorpLib.Components.HeatTransfers.Tester;
model TestHeatTransfer_constantAlphaA_ALessB
  "Test heat transfer model with constant alphaA"
  extends Modelica.Icons.Example;

  //
  // Definition of models
  //
  HeatTransfer heatTransfer(
    n_A=6,
    n_B=30,
    redeclare model HeatTransfer =
        TransportPhenomena.Internal.General.ConstantAlphaA)
    "Model of heat transfer resistance"
    annotation (Placement(transformation(extent={{-10,-6},{10,6}})));

  //
  // Definition of boundaries
  //
protected
  Boundaries.Thermal.HeatSource[6] heatSink(
    each boundaryType=SorpLib.Internals.Types.BoundaryThermal.Temperature)
    "Heat boundary at port A"
    annotation (Placement(transformation(extent={{-44,-6},{-36,6}})));
  Boundaries.Thermal.HeatSource[30] heatSource(
    each boundaryType=SorpLib.Internals.Types.BoundaryThermal.Temperature,
    each T=363.15)
    "Heat boundary at port B"
    annotation (Placement(transformation(extent={{36,-6},{44,6}})));

equation
  //
  // Connections
  //
  connect(heatSink.port, heatTransfer.heatPort_a) annotation (Line(
      points={{-40,0},{-10,0}},
      color={238,46,47},
      thickness=1));
  connect(heatTransfer.heatPort_b, heatSource.port) annotation (Line(
      points={{10,0},{40,0}},
      color={238,46,47},
      thickness=1));

  //
  // Annotations
  //
  annotation (Documentation(revisions="<html>
<ul>
  <li>
  January 13, 2021, by Mirko Engelpracht:<br/>
  First implementation.
  </li>
</ul>
</html>", info="<html>
<p>
A short introduction.
</p>
<h4>Main equations</h4>
<p>
xxx
</p>
<h4>Assumptions and limitations</h4>
<p>
xxx
</p>
<h4>Typical use and important parameters</h4>
<p>
xxx
</p>
<h4>Options</h4>
<p>
xxx
</p>
<h4>Dynamics</h4>
<p>
Describe which states and dynamics are present in the model
and which parameters may be used to influence them.
This need not be added in partial classes.
</p>
<h4>Validation</h4>
<p>
Describe whether the validation was done using
analytical validation, comparative model validation
or empirical validation.
</p>
<h4>Implementation</h4>
<p>
xxx
</p>
<h4>References</h4>
<p>
xxx
</p>
</html>"));
end TestHeatTransfer_constantAlphaA_ALessB;
