within SorpLib.Components.HeatTransfers.TransportPhenomena.External.OpenAdsorber;
model ConstantAlphaA
  "Open adsorber | Constant alphaA for each cell"
  extends
    HeatTransfers.BaseClasses.PartialExternalHeatTransferCoefficientOpenAdsorber(
      final calc_propertyRecord = false);

  //
  // Definition of parameters
  //
  parameter Modelica.SIunits.ThermalConductance constantAlphaA = 25
    "Constant value for alphaA for entire open Adsorber"
    annotation (Dialog(tab="General",group="Heat Transfer Correlation"));

equation
  alphaA = constantAlphaA/no_cells_gas
    "Correct value according to discretization number";

  //
  // Annotations
  //
  annotation (Documentation(revisions="<html>
<ul>
  <li>
  January 14, 2021, by Mirko Engelpracht:<br/>
  First implementation.
  </li>
</ul>
</html>", info="<html>
<p>
A short introduction.
</p>
<h4>Main equations</h4>
<p>
xxx
</p>
<h4>Assumptions and limitations</h4>
<p>
xxx
</p>
<h4>Typical use and important parameters</h4>
<p>
xxx
</p>
<h4>Options</h4>
<p>
xxx
</p>
<h4>Dynamics</h4>
<p>
Describe which states and dynamics are present in the model
and which parameters may be used to influence them.
This need not be added in partial classes.
</p>
<h4>Validation</h4>
<p>
Describe whether the validation was done using
analytical validation, comparative model validation
or empirical validation.
</p>
<h4>Implementation</h4>
<p>
xxx
</p>
<h4>References</h4>
<p>
xxx
</p>
</html>"));
end ConstantAlphaA;
