within SorpLib.Components.Machines.Pumps.TILMediaLibrary.Tester;
model TestSimplePump "Model to test simple pump model"
  extends Modelica.Icons.Example;

  //
  // Definition of models
  //
  SimplePump simplePump "Pump model"
    annotation (Placement(transformation(extent={{-10,-10},{10,10}})));

  //
  // Definition of boundaries
  //
protected
  Boundaries.TILMediaLibrary.LiquidBoundary      inletBoundary(
    boundaryType_S=SorpLib.Internals.Types.BoundaryStream.Temperature,
    p=100000,
    T=363.15)
    "Inlet boundary"
    annotation (Placement(transformation(extent={{-70,-10},{-50,10}})));
  Boundaries.TILMediaLibrary.LiquidBoundary      outletBoundary(
    boundaryType_S=SorpLib.Internals.Types.BoundaryStream.Temperature,
    p=150000,
    T=363.15)
    "Outlet boundary"
    annotation (Placement(transformation(extent={{50,-10},{70,10}})));

equation
  //
  // Connections
  //
  connect(inletBoundary.port, simplePump.port_a) annotation (Line(
      points={{-60,0},{-10,0}},
      color={28,108,200},
      thickness=1));
  connect(simplePump.port_b, outletBoundary.port) annotation (Line(
      points={{9.8,0},{60,0}},
      color={28,108,200},
      thickness=1));

  //
  // Annotations
  //
  annotation (Documentation(revisions="<html>
<ul>
  <li>
  January 20, 2021, by Mirko Engelpracht:<br/>
  First implementation.
  </li>
</ul>
</html>", info="<html>
<p>
A short introduction.
</p>
<h4>Main equations</h4>
<p>
xxx
</p>
<h4>Assumptions and limitations</h4>
<p>
xxx
</p>
<h4>Typical use and important parameters</h4>
<p>
xxx
</p>
<h4>Options</h4>
<p>
xxx
</p>
<h4>Dynamics</h4>
<p>
Describe which states and dynamics are present in the model
and which parameters may be used to influence them.
This need not be added in partial classes.
</p>
<h4>Validation</h4>
<p>
Describe whether the validation was done using
analytical validation, comparative model validation
or empirical validation.
</p>
<h4>Implementation</h4>
<p>
xxx
</p>
<h4>References</h4>
<p>
xxx
</p>
</html>"));
end TestSimplePump;
