within SorpLib.Components.MassTransfers.TransportPhenomena.BaseClasses;
partial model PartialExternalMassTransfer
  "Base model for all transport phenomena models describing mass transfer calculated externally"

  //
  // Definition of parameters
  //
  parameter Boolean calculate_FluidProperties = false
    "= true, if fluid properties are required"
    annotation (Dialog(tab="General", group="General"),
                Evaluate=true,
                HideResult=true);

  //
  // Definition of inputs
  //
  input Cells.PropertyRecord.FluidCellProperties fluidProperties
    "Record containing fluid properties"
    annotation (Dialog(tab="General", group="Inputs"));

  //
  // Definition of outputs
  //
  Modelica.Blocks.Interfaces.RealOutput beta
    "Mass transport coefficient"
    annotation (Placement(transformation(extent={{100,-10},{120,10}}),
        iconTransformation(extent={{100,-10},{120,10}})));

  //
  // Annotations
  //
  annotation (Icon(coordinateSystem(preserveAspectRatio=false), graphics={
          Ellipse(
          extent={{-100,100},{100,-100}},
          lineColor={0,0,0},
          lineThickness=0.5,
          fillColor={0,255,255},
          fillPattern=FillPattern.Solid)}),                      Diagram(
        coordinateSystem(preserveAspectRatio=false)),
    Documentation(revisions="<html>
<ul>
  <li>
  January 18, 2021, by Mirko Engelpracht:<br/>
  First implementation.
  </li>
</ul>
</html>", info="<html>
<p>
A short introduction.
</p>
<h4>Main equations</h4>
<p>
xxx
</p>
<h4>Assumptions and limitations</h4>
<p>
xxx
</p>
<h4>Typical use and important parameters</h4>
<p>
xxx
</p>
<h4>Options</h4>
<p>
xxx
</p>
<h4>Dynamics</h4>
<p>
Describe which states and dynamics are present in the model
and which parameters may be used to influence them.
This need not be added in partial classes.
</p>
<h4>Validation</h4>
<p>
Describe whether the validation was done using
analytical validation, comparative model validation
or empirical validation.
</p>
<h4>Implementation</h4>
<p>
xxx
</p>
<h4>References</h4>
<p>
xxx
</p>
</html>"));
end PartialExternalMassTransfer;
