within SorpLib.Components.MassTransfers.TransportPhenomena.BaseClasses;
partial model PartialExternalMassTransferOpenAdsorber_dp
  "Base model for all transport phenomena models describing mass transfer of open adsorbers calculated externally"
  extends PartialExternalMassTransfer;

  //
  // Definition of general parameters
  //
  parameter Integer no_cells_gas(min=1)=2
    "Discretization number of gas cells"
    annotation (Dialog(tab="General", group="Heat Transfer Correlation"),
                Evaluate=true,
                HideResult=true);

  //
  // Definition of inputs
  //
  input Geometry.GeometryOpenAdsorbers cellGeometry
    "Record containing geometric data of open adsorbers"
    annotation (Dialog(tab="General", group="Inputs"));

  //
  // Annotations
  //
  annotation (Icon(coordinateSystem(preserveAspectRatio=false), graphics={Text(
          extent={{-80,80},{80,-80}},
          lineColor={0,0,0},
          lineThickness=0.5,
          fillColor={0,255,255},
          fillPattern=FillPattern.Solid,
          textString="dp")}),                                    Diagram(
        coordinateSystem(preserveAspectRatio=false)),
    Documentation(revisions="<html>
<ul>
  <li>
  January 18, 2021, by Mirko Engelpracht:<br/>
  First implementation.
  </li>
</ul>
</html>", info="<html>
<p>
A short introduction.
</p>
<h4>Main equations</h4>
<p>
xxx
</p>
<h4>Assumptions and limitations</h4>
<p>
xxx
</p>
<h4>Typical use and important parameters</h4>
<p>
xxx
</p>
<h4>Options</h4>
<p>
xxx
</p>
<h4>Dynamics</h4>
<p>
Describe which states and dynamics are present in the model
and which parameters may be used to influence them.
This need not be added in partial classes.
</p>
<h4>Validation</h4>
<p>
Describe whether the validation was done using
analytical validation, comparative model validation
or empirical validation.
</p>
<h4>Implementation</h4>
<p>
xxx
</p>
<h4>References</h4>
<p>
xxx
</p>
</html>"));
end PartialExternalMassTransferOpenAdsorber_dp;
