within SorpLib.Components.MassTransfers.TransportPhenomena.BaseClasses;
partial model PartiallInternalMassTransfer_dx
  "Base model for all loading-driven transport phenomena models describing mass transfer"
  extends PartialInternalMassTransfer(
    beta(final unit="kg/s"));

  //
  // Definition of inputs
  //
  input PropertyRecord.MassTransferProperties massTransferProperties
    "Record containing properties of mass transfer model if required"
    annotation (Dialog(tab="General", group="Inputs"));

  //
  // Annotations
  //
  annotation (Icon(coordinateSystem(preserveAspectRatio=false), graphics={Text(
          extent={{-80,80},{80,-80}},
          lineColor={0,0,0},
          lineThickness=0.5,
          fillColor={0,255,255},
          fillPattern=FillPattern.Solid,
          textString="dx")}),                                    Diagram(
        coordinateSystem(preserveAspectRatio=false)),
    Documentation(revisions="<html>
<ul>
  <li>
  January 18, 2021, by Mirko Engelpracht:<br/>
  Minor revisions after restructuring of the library.
  </li>
  <li>
  November 30, 2017, by Uwe Bau:<br/>
  Tidy up implementation and enhance documentation for publication of library.
  </li>
</ul>
</html>", info="<html>
<p>
  This partial model is the basis for the mass transfer correlation models based on the loading difference <i><code>&Delta;</code>x</i>. <br>
</p>
<h4>Main equations</h4>
<p>
xxx
</p>
<h4>Assumptions and limitations</h4>
<p>
xxx
</p>
<h4>Typical use and important parameters</h4>
<p>
xxx
</p>
<h4>Options</h4>
<p>
xxx
</p>
<h4>Dynamics</h4>
<p>
Describe which states and dynamics are present in the model
and which parameters may be used to influence them.
This need not be added in partial classes.
</p>
<h4>Validation</h4>
<p>
Describe whether the validation was done using
analytical validation, comparative model validation
or empirical validation.
</p>
<h4>Implementation</h4>
<p>
xxx
</p>
<h4>References</h4>
<p>
xxx
</p>
</html>"));
end PartiallInternalMassTransfer_dx;
