within SorpLib.Components.MassTransfers.TransportPhenomena.PropertyRecord;
record MassTransferProperties
  "Record containing all relevant properties for mass transfer models"
  extends Internals.ClassTypes.Record;

  //
  // Definition of variables
  //
  Modelica.SIunits.Temperature T_adsorbate_theoEqu(min=-1)
    "Theoretical equilibrium temperature of adsorbate";

  Modelica.SIunits.Temperature T_adsorptive(min=-1)
    "Temperature of adsorptive";
  Modelica.SIunits.Density d_adsorptive(min=-1)
    "Density of adsorptive";
  Modelica.SIunits.DynamicViscosity eta_adsorptive(min=-1)
    "Dynamic viscosity of adsorptive";

  //
  // Annotations
  //
  annotation (Documentation(revisions="<html>
<ul>
  <li>
  January 18, 2021, by Mirko Engelpracht:<br/>
  First implementation.
  </li>
</ul>
</html>", info="<html>
<p>
A short introduction.
</p>
<h4>Main equations</h4>
<p>
xxx
</p>
<h4>Assumptions and limitations</h4>
<p>
xxx
</p>
<h4>Typical use and important parameters</h4>
<p>
xxx
</p>
<h4>Options</h4>
<p>
xxx
</p>
<h4>Dynamics</h4>
<p>
Describe which states and dynamics are present in the model
and which parameters may be used to influence them.
This need not be added in partial classes.
</p>
<h4>Validation</h4>
<p>
Describe whether the validation was done using
analytical validation, comparative model validation
or empirical validation.
</p>
<h4>Implementation</h4>
<p>
xxx
</p>
<h4>References</h4>
<p>
xxx
</p>
</html>"));
end MassTransferProperties;
