within SorpLib.Components.Valves.ModelicaMediaLibrary.Tester;
model TestVLEValve_constantFillingLevel
  "Model to test valve ensuring a constant filling level"
  extends Modelica.Icons.Example;

  //
  // Definition of models
  //
  VLEvalve_constantFillingLevel valve(fillingLevel=1 - 1/100*time)
    "Valve model"
    annotation (Placement(transformation(extent={{10,-10},{-10,10}})));
  Boundaries.ModelicaMediaLibrary.VLEBoundary    boundary_portA(
    boundaryType_PF=SorpLib.Internals.Types.BoundaryPotentialFlow.Pressure,
    boundaryType_S=SorpLib.Internals.Types.BoundaryStream.SpecificEnthalpy,
    p=100000) "Boundary for port A"
    annotation (Placement(transformation(extent={{-50,-10},{-30,10}})));
  Boundaries.ModelicaMediaLibrary.VLEBoundary    boundary_portB(
    boundaryType_PF=SorpLib.Internals.Types.BoundaryPotentialFlow.Pressure,
    boundaryType_S=SorpLib.Internals.Types.BoundaryStream.SpecificEnthalpy,
    p=150000) "Boundary for port B"
    annotation (Placement(transformation(extent={{30,-10},{50,10}})));

equation
  //
  // Connections
  //
  connect(boundary_portA.port, valve.port_a) annotation (Line(
      points={{-40,0},{-10,0}},
      color={0,140,72},
      thickness=1));
  connect(valve.port_b, boundary_portB.port) annotation (Line(
      points={{10,0},{40,0}},
      color={0,140,72},
      thickness=1));

  //
  // Annotations
  //
  annotation (Documentation(revisions="<html>
<ul>
  <li>
  January 20, 2021, by Mirko Engelpracht:<br/>
  First implementation.
  </li>
</ul>
</html>", info="<html>
<p>
A short introduction.
</p>
<h4>Main equations</h4>
<p>
xxx
</p>
<h4>Assumptions and limitations</h4>
<p>
xxx
</p>
<h4>Typical use and important parameters</h4>
<p>
xxx
</p>
<h4>Options</h4>
<p>
xxx
</p>
<h4>Dynamics</h4>
<p>
Describe which states and dynamics are present in the model
and which parameters may be used to influence them.
This need not be added in partial classes.
</p>
<h4>Validation</h4>
<p>
Describe whether the validation was done using
analytical validation, comparative model validation
or empirical validation.
</p>
<h4>Implementation</h4>
<p>
xxx
</p>
<h4>References</h4>
<p>
xxx
</p>
</html>"));
end TestVLEValve_constantFillingLevel;
