within SorpLib.Components.Valves.TILMediaLibrary;
model VLEvalve_constantFillingLevel
  "Valve model ensuring a constant filling level at port B"
  extends BaseClasses.PartialValve_constantFillingLevel(
    final type_Media= Internals.Types.MediaModel.TIL_VLE,
    redeclare final Connectors.TILMediaLibrary.VLEPort_b port_b(
      final vleFluidType=Medium),
    redeclare final Connectors.TILMediaLibrary.VLEPort_a port_a(
      final vleFluidType=Medium));

  //
  // Definition of parameters defining the boundary type
  //
  replaceable parameter TILMedia.VLEFluidTypes.TILMedia_Water Medium
    constrainedby TILMedia.VLEFluidTypes.BaseVLEFluid
    "Medium model"
    annotation (Dialog(tab="General", group="Boundary Type"),
                evaluate=true,
                HideResult=true,
                choicesAllMatching=true);

  //
  // Annotations
  //
  annotation (Icon(graphics={Polygon(
          points={{-100,80},{-100,-80},{100,80},{100,-80},{-100,80}},
          lineColor={0,140,72},
          lineThickness=0.5,
          fillColor={0,140,72},
          fillPattern=FillPattern.Solid)}), Documentation(revisions="<html>
<ul>
  <li>
  January 20, 2021, by Mirko Engelpracht:<br/>
  First implementation.
  </li>
</ul>
</html>", info="<html>
<p>
A short introduction.
</p>
<h4>Main equations</h4>
<p>
xxx
</p>
<h4>Assumptions and limitations</h4>
<p>
xxx
</p>
<h4>Typical use and important parameters</h4>
<p>
xxx
</p>
<h4>Options</h4>
<p>
xxx
</p>
<h4>Dynamics</h4>
<p>
Describe which states and dynamics are present in the model
and which parameters may be used to influence them.
This need not be added in partial classes.
</p>
<h4>Validation</h4>
<p>
Describe whether the validation was done using
analytical validation, comparative model validation
or empirical validation.
</p>
<h4>Implementation</h4>
<p>
xxx
</p>
<h4>References</h4>
<p>
xxx
</p>
</html>"));
end VLEvalve_constantFillingLevel;
