within SorpLib.Media.Function.SingleComponent.BaseClasses;
partial function PartialSurfaceFunction_inverse "Base function for all inverse functions of equilibrium functions based on the
   surface approach"
  extends Modelica.Icons.Function;

  //
  // Definition of inputs
  //
  input Real x_adsorpt(min=0, unit="1")
    "Loading in kg/kg"
    annotation (Dialog(tab="General", group="Inputs"));
  input Real[:] c
    "Coefficients of isotherm"
    annotation (Dialog(tab="General", group="Inputs"));

  //
  // Annotations
  //
  annotation (Documentation(revisions="<html>
<ul>
  <li>
  December 10, 2020, by Mirko Engelpracht:<br/>
  First implementation.
  </li>
</ul>
</html>", info="<html>
<p>
A short introduction.
</p>
<h4>Main equations</h4>
<p>
Most important equations (e.g., mass and energy balances).
</p>
<h4>Assumptions and limitations</h4>
<p>
Main assumptions and limitations (e.g., ideal mixture).
</p>
<h4>Typical use</h4>
<p>
Typical use of model (e.g., to calculate mass transfer within sorbent).
</p>
<h4>Important parameters and options</h4>
<p>
Main parameters and options of the model (e.g., description of most important flags).
</p>
<h4>Dynamics</h4>
<p>
Describe which states and dynamics are present in the model
and which parameters may be used to influence them.
This need not be added in partial classes.
</p>
<h4>Validation</h4>
<p>
Describe whether the validation was done using
analytical validation, comparative model validation
or empirical validation.
</p>
<h4>References</h4>
<p>
xxx
</p>
</html>"));
end PartialSurfaceFunction_inverse;
