within SorpLib.Media.WorkingPair.SingleComponent.Modelica_VLE.Tester;
model TestH2O_Silicagel123_Schawe
  "Test model for working pair H2O / Silicagel 123, measured by Schawe (1991)"
  extends BaseClasses.PartialTester(
    redeclare final model WorkingPair =
      H2O_Silicagel123_Schawe,
    workingPair(
      type_isotherm=SorpLib.Internals.Types.Isotherm.Inverse,
      calculate_caloric_properties=true,
      type_SpecEnthalpySorptive=SorpLib.Internals.Types.SpecificEnthalpySorptive.Media_pT,
      type_SpecEnthalpyAdsorpt=SorpLib.Internals.Types.SpecificEnthalpyAdsorpt.BondEnthalpy,
      type_SpecHeatCapacityAdsorpt=SorpLib.Internals.Types.SpecificHeatCapacityAdsorpt.SatLiq));

  //
  // Annotations
  //
  annotation (experiment(StartTime=2, StopTime=20), Documentation(revisions="<html>
<ul>
  <li>
  December 14, 2020, by Mirko Engelpracht:<br/>
  First implementation.
  </li>
</ul>
</html>", info="<html>
<p>
A short introduction.
</p>
<h4>Main equations</h4>
<p>
Most important equations (e.g., mass and energy balances).
</p>
<h4>Assumptions and limitations</h4>
<p>
Main assumptions and limitations (e.g., ideal mixture).
</p>
<h4>Typical use</h4>
<p>
Typical use of model (e.g., to calculate mass transfer within sorbent).
</p>
<h4>Important parameters and options</h4>
<p>
Main parameters and options of the model (e.g., description of most important flags).
</p>
<h4>Dynamics</h4>
<p>
Describe which states and dynamics are present in the model
and which parameters may be used to influence them.
This need not be added in partial classes.
</p>
<h4>Validation</h4>
<p>
Describe whether the validation was done using
analytical validation, comparative model validation
or empirical validation.
</p>
<h4>References</h4>
<p>
xxx
</p>
</html>"));
end TestH2O_Silicagel123_Schawe;
