within SorpLib.Media.WorkingPair.SingleComponent.ParameterizedModels;
partial model H2O_Silicagel123_Schawe_SPL
  "H2O / Silica gel 123, published by Schawe (1991), calculated with SorpPropLib"
  extends BaseClasses.PartialSingleWPair_SorpPropLib(
    final M_adsorpt = 0.018015267,
    path_db= "D:/Engelpracht/01-Modelica/01-Bib/SorpPropLib/Resources/Data/sorpproplib.json",
    final name_sorbent = "silica gel pellet",
    final name_sorbent_sub_type = "123",
    final name_refrigerant = "Water",
    final func_isotherm = "DubininArctan1",
    final func_isotherm_ID = 1,
    final func_vapor_pressure = "VaporPressure_EoS1",
    final func_vapor_pressure_ID = 1,
    final func_saturated_liquid_density = "SaturatedLiquidDensity_EoS1",
    final func_saturated_liquid_density_ID = 1);

  //
  // Annotations
  //
  annotation (Documentation(revisions="<html>
<ul>
  <li>
  August 19, 2021, by Mirko Engelpracht:<br/>
  Revision after restructering of the library.
  </li>
  <li>
  November 17, 2017, by Uwe Bau:<br/>
  Tidy up implementation and enhance documentation for publication of library.
  </li>
</ul>
</html>", info="<html>
<p>
This model provides the equilibrium data for the working pair Silica gel Grace 123 / Water as measured by Schawe (1999).
</p>
<h4>Main equations</h4>
<p>
Most important equations (e.g., mass and energy balances).
</p>
<h4>Assumptions and limitations</h4>
<p>
Main assumptions and limitations (e.g., ideal mixture).
</p>
<h4>Typical use</h4>
<p>
Typical use of model (e.g., to calculate mass transfer within sorbent).
</p>
<h4>Important parameters and options</h4>
<p>
Main parameters and options of the model (e.g., description of most important flags).
</p>
<h4>Dynamics</h4>
<p>
Describe which states and dynamics are present in the model
and which parameters may be used to influence them.
This need not be added in partial classes.
</p>
<h4>Validation</h4>
<p>
Describe whether the validation was done using
analytical validation, comparative model validation
or empirical validation.
</p>
<h4>References</h4>
<p>
  <ul>
    <li>Dubinin, M.M. Adsorption in micropores. J. Colloid Interface Sci., 1967, 23(4), 487-499.</li>
    <li>Schawe, D. Theoretical and Experimental Investigations of an Adsorption Heat Pump with Heat Transfer between two Adsorbers. PhD Thesis. Stuttgart, 1999. </li>
  </ul>
</p>
</html>"));
end H2O_Silicagel123_Schawe_SPL;
