within SorpLib;
package UsersGuide "User's Guide"
extends Modelica.Icons.Information;

annotation (DocumentationClass=true, Documentation(info="<html>
<p><b>SorpLib - Adsorption Energy Systems Library</b> (short <b>SorpLib</b>) is a Modelica model library for simulating adsorption energy systems, such as adsorption chillers, adsorption heat pumps, adsorption thermal sorage systems, or desiccant systems. The library is being developed at RWTH Aachen University, Institute of Technical Thermodynamics, Sorption Systems Engineering group in Aachen, Germany. </p>
<p><b><span style=\"font-size: 10pt;\">Dependencies</span></b></p>
<p>Regarding non-adsorption specific models, the library partly depends on the libraries TIL and TILMedia: </p>
<ul>
<li>TIL: Component library for thermal systems </li>
<li>TILMedia: Thermophysical media properties </li>
</ul>
<p>TIL and TILMedia are commercial libraries provided by <a href=\"https://www.tlk-thermo.com/index.php/en/\">TLK-Thermo GmbH</a>.</p>
<h4>However, SorpLib also contains non-adsorption specific models that only depend on the Modelica Standard Library (MSL).</h4>
</html>"));
end UsersGuide;
